---
apiVersion: v1
kind: ConfigMap
metadata:
  name: argocd-notifications-cm
data:
  config.yaml: |
    triggers:
    - name: on-sync-succeeded
      enabled: true
      template: rocketchat
    - name: on-health-degraded
      enabled: true
      template: rocketchat
    - name: on-sync-failed
      enabled: true
      template: rocketchat
    - name: on-out-of-sync
      condition: app.status.sync.status == 'OutOfSync'
      enabled: true
      template: rocketchat
    templates:
    - name: rocketchat
      webhook:
        chat:
          method: POST
          body: |
            {
              "text": "Application *{{.app.metadata.name}}* status is *{{.app.status.sync.status}}*. Last commit: {{(call .repo.GetCommitMetadata .app.status.sync.revision).Message}}"
            }
